
CONFIG = ./config.nix
BASH = $$(nix-build --no-out-link -A pkgs.bash)/bin/bash

entrypoint:
	nix-build -A entrypoint --arg config '(import ${CONFIG})'

install-systemd:
	$$(nix-build -A install --arg config '(import ${CONFIG})')

test:
	${BASH} tmp-dev-env.sh \
    	--run "cd src; go test ./... -count=1 -tags integration"

shell:
	${BASH} tmp-dev-env.sh \
		--command " \
			cd src; \
          	echo 'Loading test data...'; \
          	(cd cmd/load-test-data && go run main.go); \
			return; \
		"
